/* Copyright (C) 2007 - 2009 YOOtheme GmbH */

function loadIE6Fix() {

	correctPngBackground('.correct-png', 'crop');
	
	/* layout */
	fixPngBackground('div#menubar, div.menubar-2, div.menubar-3');
	fixPngBackground('.main-tl, .main-tr, .main-bl, .main-br');
	
	/* typography & joomla */
	fixPngBackground('ul.arrow li, ul.checkbox li, ul.check li, ul.star li');
	fixPngBackground('blockquote.quotation, blockquote.quotation p');
	fixPngBackground('ol.disc');
	fixPngBackground('a.readmore, a.readon');

	/* menu */
	fixPngBackground('div#menu li.fancy div.fancy-1, div#menu li.fancy div.fancy-2, div#menu li.fancy div.fancy-3');
	fixPngBackground('div#menu ul.menu ul');
	
	/* module */
	fixPngBackground('div.module div.badge-new, div.module div.badge-top, div.module div.badge-pick');
	fixPngBackground('div.mod-roundedtrans div.box-t1, div.mod-roundedtrans div.box-t2, div.mod-roundedtrans div.box-t3, div.mod-roundedtrans div.box-1, div.mod-roundedtrans div.box-2, div.mod-roundedtrans div.box-3, div.mod-roundedtrans div.box-b1, div.mod-roundedtrans div.box-b2, div.mod-roundedtrans div.box-b3');
	fixPngBackground('div.mod-roundedtrans-header div.box-1, div.mod-roundedtrans-header div.box-2, div.mod-roundedtrans-header div.box-3');
	fixPngBackground('div.mod-rounded div.box-t1, div.mod-rounded div.box-t2, div.mod-rounded div.box-b1, div.mod-rounded div.box-b2');
	fixPngBackground('div.mod-black div.box-t1, div.mod-black div.box-t2, div.mod-black div.box-b1, div.mod-black div.box-b2');
	fixPngBackground('div.mod-border div.box-t1, div.mod-border div.box-t2, div.mod-border div.box-b1, div.mod-border div.box-b2');
	fixPngBackground('div.mod-polaroid div.box-b1, div.mod-polaroid div.box-b2, div.mod-polaroid div.box-b3, div.mod-polaroid div.badge-tape');
	fixPngBackground('div.mod-postit div.box-b1, div.mod-postit div.box-b2, div.mod-postit div.box-b3');
	fixPngBackground('div.mod-tab span.header-l, div.mod-tab span.header-r');	

	sfHover('#menu span.separator');
	sfHover('#menu li');
	sfHover('.module .menu span.separator');
	sfHover('.module .menu li');

	DD_belatedPNG.fix('.png_bg');
}

/* Add functions on window load */
window.addEvent('domready', loadIE6Fix);
window.addEvent('load', correctPngInline);

/* Fix PNG background */
function fixPngBackground(selector) {
	$ES(selector).each(function(element){
		element.addClass('png_bg');
	});
}